MANPATH(1)

NUME
manpath - determină calea de căutare pentru paginile de manual

REZUMAT
manpath [-qgdc?V] [-m system[,...]] [-C file]

DESCRIERE
Dacă $MANPATH este stabilită, manpath va afișa simplu conținutul acesteia și va emite un avertisment. Dacă nu, manpath va determina o cale de căutare de ierarhie de pagină de manual potrivită și va afișa rezultatele. Calea delimitată de două puncte este determinată utilizând informații obținute de la fișierul de configurație man-db – (/etc/man_db.conf) și de la mediul utilizatorului.

OPȚIUNI

-q, --quiet
    Nu emite avertismente.

-d, --debug
    Tipărește informațiile de depanare.

-c, --catpath
    Produce o cale cat spre deosebire de o cale man. Odată ce calea man este determinată, fiecare element al căii este convertit la calea cat relativă.

-g, --global
    Produce o cale man care consistă din toate căile numite ca „globale” înăuntrul fișierului de configurare man-db.

-m system[,...], --systems=system[,...]
    Dacă acest sistem are acces la alte ierarhii de manual ale sistemului de operare, această opțiune poate fi utilizată pentru a le include în ieșirea lui manpath. Pentru a include ierarhiile de pagini de manual ale NewOS utilizați opțiunea -m NewOS. system specificat poate fi o combinație de nume de sistem de operare delimitate prin virgule. Pentru a include ierarhiile de pagini de manual ale sistemului de operare nativ, numele sistemului man trebuie să fie inclus în șirul argumentului. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-?, --help
    Tipărește un mesaj de ajutor și ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Afișează informațiile de versiune.

MEDIU

MANPATH
    Dacă $MANPATH este stabilită, manpath afișează valoarea acesteia în locul determinării acesteia pe fugă. Dacă $MANPATH este prefixată de două puncte, atunci valoarea variabilei este adăugată listei determinată de la conținutul fișierelor de configurare. Dacă două puncte vine la sfârșitul valorii variabilei, atunci lista determinată este adăugată la conținutul variabilei. Dacă valoare variabilei conține un două puncte dublu (::), atunci lista determinată este inserată în mijlocul valorii, între cele două semne două puncte.

SYSTEM
    Dacă $SYSTEM este stabilit, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

FIȘIERE

/etc/man_db.conf
    fișier de configurare man-db.

VEDEȚI ȘI
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db